Nini Library API Reference - http://nini.sourceforge.net/ |

# RegistryConfigSource.AddMapping Method (RegistryKey, String, RegistryRecurse)

Maps a single registry key to an IConfig.

public void AddMapping(
RegistryKey registryKey,
string path,
RegistryRecurse recurse
);

#### Parameters

registryKey
  The root Registry key to load (e.g. Registry.LocalMachine).
path
  The registry path to load off of the the registryKey.
recurse
  The registry path to load off of the the registryKey.

#### Remarks

If recurse is set to Namespacing or Flattened then it will recursively load all Registry subkeys into IConfigs as well.

#### See Also

RegistryConfigSource Class | Nini.Config Namespace | RegistryConfigSource.AddMapping Overload List